For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
  • LEDGER OFF-RAMP WRAPPER API
    • Overview
    • GETGet Capabilities
    • GETGet Crypto Currencies
    • GETGet Quote
    • GETGet Sell Redirect
    • POSTCreate Sell Order
Dashboard
LogoLogo
LEDGER OFF-RAMP WRAPPER API

Get Sell Redirect

||View as Markdown|
GET
/sell-redirect
GET
/ledger/v1/sell-redirect
$curl -G https://api-stg.transak.com/ledger/v1/sell-redirect \
> -H "x-api-key: " \
> -d accountId= \
> -d cryptoCurrency= \
> -d fiatCurrency= \
> -d cryptoAmount= \
> -d paymentMethod= \
> -d mode= \
> -d bankResidency= \
> -d ledgerTransactionId=
1{
2 "rampRedirectUrl": "https://global-stg.transak.com/?apiKey=YOUR_API_KEY&environment=staging&productsAvailed=SELL&cryptoAmount=20&fiatCurrency=EUR&network=polygon&paymentMethod=credit_debit_card&cryptoCurrencyCode=USDC&countryCode=GB&partnerOrderId=test-order-id&partnerCustomerId=test-account-id"
3}
Fetch the Transak widget redirect URL using the parameters supplied in Ledger's format. Use this endpoint after quote generation when you are ready to send the user into the hosted sell flow.
Was this page helpful?
Previous

Get Quote

Next

Create Sell Order

Built with

Headers

x-api-keystringRequired
Transak API key available from the Transak Dashboard.

Query parameters

accountIdstringRequired
Ledger account ID.
cryptoCurrencystringRequired
Ledger ID for the selected crypto currency.
fiatCurrencystringRequired
Selected fiat currency code.
cryptoAmountstringRequired
Selected crypto amount.
paymentMethodstringRequired
Selected Ledger payment method.
modestringRequired

Selected mode (buy or sell).

bankResidencystringRequired

User country code in ISO 3166-1 alpha-2 format.

ledgerTransactionIdstringRequired

User’s Ledger transaction identifier (order ID).

Response

Redirect URL generated successfully.
rampRedirectUrlstringformat: "uri"
Redirect URL for launching the Transak sell flow.

Errors

400
Bad Request Error
500
Internal Server Error